<?php

/**
 * Třída kontroleru pro zobrazení chyb
 *
 * @package    OTP
 * @author     Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Petr Jajtner © 2016
 */
class ErrorController extends Zend_Controller_Action {

  /**
   * Výchozí akce kontroleru
   */
  public function errorAction() {
    $errors = $this->_getParam('error_handler');

    switch ($errors->type) {
      case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ROUTE:
      case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_CONTROLLER:
      case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ACTION:

        // Chyba 404 - kontroler nebo akce nebyla nalezena
        $this->getResponse()->setHttpResponseCode(404);
        $this->view->message = $this->view->translate('LNG_COMMON_PAGE_NOT_FOUND');
        break;
      default:
        // Chyba aplikace
        $this->getResponse()->setHttpResponseCode(500);
        $this->view->message = $this->view->translate('LNG_COMMON_APPLICATION_ERROR');
        break;
    }

    $this->view->exception = $errors->exception;
    $this->view->request = $errors->request;
  }

}
