<?php

/**
 * Výchozí kontroler systému
 *
 * @package    OTP
 * @author     Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Petr Jajtner © 2016
 */
class IndexController extends Zend_Controller_Action {

  /**
   * Aktuální stránka navigace
   *
   * @var Zend_Navigation_Page
   */
  protected $_current = null;

  /**
   * Výchozí akce
   */
  public function indexAction() {
    $this->view->messages = $this->getHelper('FlashMessenger')->getMessages();
    $this->_addCrumb(array(
      'label'      => 'LNG_COMMON_HOME',
      'controller' => 'index',
      'action'     => 'index',
      'active'     => true
    ));
  }

  /**
   * Přidá drobek do navigace
   *
   * @param array|Zend_Config $options
   * @return void
   */
  protected function _addCrumb($options) {
    $page = Zend_Navigation_Page::factory($options);

    if (is_null($this->_current)) {
      $this->view->breadcrumbs = new Zend_Navigation();
      $this->view->breadcrumbs->addPage($page);
      $this->_current = $this->view->breadcrumbs->current();
    } else {
      $this->_current->addPage($page);
      $this->_current = $this->_current->current();
    }
  }

}
