<?php

/**
 * Kontroler pro registraci do systému
 *
 * @package    OTP
 * @author     Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Petr Jajtner © 2016
 */
class RegisterController extends Zend_Controller_Action {

  /**
   * Výchozí akce
   */
  public function indexAction() {
    if (Zend_Auth::getInstance()->hasIdentity()) {
      $this->_redirect($this->getHelper('Url')->simple('index', 'index'));
    }

    $this->view->form = new Form_User();
    $this->view->form->setDecorators(array(
      array('ViewScript', array('viewScript' => 'forms/register.phtml')),
      'Form'
    ));

    if ($this->_request->isPost() && $this->view->form->isValid($this->getAllParams())) {
      $modelUsers = new Model_Users();

      if (is_object($user = $modelUsers->createRow($this->view->form->getValues()))) {
        $user->prepareUse()->save();

        $message = array('info' => $this->view->translate('LNG_REGISTER_INDEX_SUCCESS'));
        $this->getHelper('FlashMessenger')->addMessage($message);

        $this->_redirect($this->getHelper('Url')->simple('index', 'login'));
      }
    }

    $this->view->showLayout = false;
  }

}
