<?php

/**
 * Třída formuláře pro druhý faktor ověření uživatele
 *
 * @package    OTP
 * @author     Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Petr Jajtner © 2016
 */
class Form_OTP extends Zend_Form {

  /**
   * Nastavení dekorátoru formuláře
   *
   * @var array
   */
  protected $_formDecorator = array(
    array('ViewScript', array('viewScript' => 'forms/otp.phtml')),
    'Form'
  );

  /**
   * Inicializace formuláře
   *
   * @return void
   */
  public function init() {
    $this->setMethod('post');
    $this->setAttrib('id', 'otp-form');

    // -- data --
    $otp = $this->createElement('password', 'otp');
    $otp->setRequired(true);
    $otp->setAttribs(array(
      'placeholder'  => $this->getView()->translate('LNG_OTP_FORM_PASSWORD_PLACEHOLDER'),
      'autocomplete' => 'off'
    ));
    $otp->setFilters(array('StripTags', 'StringTrim'));
    $otp->setValidators(array(
      'NotEmpty',
      array('StringLength', true, array(6, 6))
    ));
    $this->addElement($otp);

    // -- tlačítka --
    $submit = $this->createElement('submit', 'submit');
    $submit->setLabel('LNG_LOGIN_FORM_SUBMIT');
    $submit->setDecorators(array('ViewHelper'));
    $this->addElement($submit);
  }

  /**
   * Načte výchozí dekorátory a nastaví nové vlastnosti
   *
   * @return Form_OTP
   */
  public function loadDefaultDecorators() {
    parent::loadDefaultDecorators();

    return $this->setDecorators($this->_formDecorator);
  }

}
