<?php

/**
 * Třída validátoru pro kontrolu platného emailu uživatele
 *
 * @package    OTP
 * @author     Petr Jajtner <petr.jajtner@webbia.cz>
 * @copyright  Petr Jajtner © 2016
 */
class Custom_Validate_ValidEmail extends Zend_Validate_Abstract {

  const INVALID_USER = 'invalidUser';

  /**
   * Chybové zprávy
   *
   * @var array
   */
  protected $_messageTemplates = array(
    self::INVALID_USER => 'Uživatele se podle e-mailu nepodařilo najít'
  );

  /**
   * Kontrola platného emailu uživatele
   *
   * @param string $value
   * @param mixed $context
   * @return boolean
   */
  public function isValid($value, $context = null) {
    $value = (string) $value;
    $this->_setValue($value);

    $modelUsers = new Model_Users();
    $isValid = is_object($user = $modelUsers->getUserByEmail($value));

    if (!$isValid) {
      $this->_error(self::INVALID_USER);
    }

    return $isValid;
  }

}
